package com.pcloud.book.skill.biz;

import com.pcloud.book.skill.entity.PcloudResource;
import com.pcloud.book.skill.facade.response.QueryPcloudResponseVO;
import com.pcloud.common.page.PageBeanNew;

public interface PcloudResourceBiz {

    void savePcloudResource(PcloudResource pcloudResource);

    void updatePcloudResource(PcloudResource pcloudResource);

    void deletePcloudResource(Long id);

    PageBeanNew getPcloudResourceList(String name, Long proLabelId, Long depLabelId, Long purLabelId, Integer currentPage, Integer numPerPage);

    QueryPcloudResponseVO getPcloudResource(Long id);
}
